<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_201) on Tue Jun 11 21:47:08 AEST 2019 -->
<title>VoronoiNoise (worldedit-core 7.0.0 API)</title>
<meta name="date" content="2019-06-11">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="VoronoiNoise (worldedit-core 7.0.0 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/sk89q/worldedit/math/noise/RidgedMultiFractalNoise.html" title="class in com.sk89q.worldedit.math.noise"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/sk89q/worldedit/math/noise/VoronoiNoise.html" target="_top">Frames</a></li>
<li><a href="VoronoiNoise.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.sk89q.worldedit.math.noise</div>
<h2 title="Class VoronoiNoise" class="title">Class VoronoiNoise</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>com.sk89q.worldedit.math.noise.VoronoiNoise</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="../../../../../com/sk89q/worldedit/math/noise/NoiseGenerator.html" title="interface in com.sk89q.worldedit.math.noise">NoiseGenerator</a></dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">VoronoiNoise</span>
extends java.lang.Object</pre>
<div class="block">Generates Voronoi noise.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/math/noise/VoronoiNoise.html#VoronoiNoise--">VoronoiNoise</a></span>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>protected net.royawesome.jlibnoise.module.source.Voronoi</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/math/noise/VoronoiNoise.html#createModule--">createModule</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>double</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/math/noise/VoronoiNoise.html#getFrequency--">getFrequency</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>protected V</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/math/noise/VoronoiNoise.html#getModule--">getModule</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/math/noise/VoronoiNoise.html#getSeed--">getSeed</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>float</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/math/noise/VoronoiNoise.html#noise-com.sk89q.worldedit.math.Vector2-">noise</a></span>(<a href="../../../../../com/sk89q/worldedit/math/Vector2.html" title="class in com.sk89q.worldedit.math">Vector2</a>&nbsp;position)</code>
<div class="block">Get the noise value for the given position.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>float</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/math/noise/VoronoiNoise.html#noise-com.sk89q.worldedit.math.Vector3-">noise</a></span>(<a href="../../../../../com/sk89q/worldedit/math/Vector3.html" title="class in com.sk89q.worldedit.math">Vector3</a>&nbsp;position)</code>
<div class="block">Get the noise value for the given position.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/math/noise/VoronoiNoise.html#setFrequency-double-">setFrequency</a></span>(double&nbsp;frequency)</code>&nbsp;</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/math/noise/VoronoiNoise.html#setSeed-int-">setSeed</a></span>(int&nbsp;seed)</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="VoronoiNoise--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>VoronoiNoise</h4>
<pre>public&nbsp;VoronoiNoise()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="createModule--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createModule</h4>
<pre>protected&nbsp;net.royawesome.jlibnoise.module.source.Voronoi&nbsp;createModule()</pre>
</li>
</ul>
<a name="getFrequency--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getFrequency</h4>
<pre>public&nbsp;double&nbsp;getFrequency()</pre>
</li>
</ul>
<a name="setFrequency-double-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setFrequency</h4>
<pre>public&nbsp;void&nbsp;setFrequency(double&nbsp;frequency)</pre>
</li>
</ul>
<a name="setSeed-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setSeed</h4>
<pre>public&nbsp;void&nbsp;setSeed(int&nbsp;seed)</pre>
</li>
</ul>
<a name="getSeed--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSeed</h4>
<pre>public&nbsp;int&nbsp;getSeed()</pre>
</li>
</ul>
<a name="getModule--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getModule</h4>
<pre>protected&nbsp;V&nbsp;getModule()</pre>
</li>
</ul>
<a name="noise-com.sk89q.worldedit.math.Vector2-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>noise</h4>
<pre>public&nbsp;float&nbsp;noise(<a href="../../../../../com/sk89q/worldedit/math/Vector2.html" title="class in com.sk89q.worldedit.math">Vector2</a>&nbsp;position)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../com/sk89q/worldedit/math/noise/NoiseGenerator.html#noise-com.sk89q.worldedit.math.Vector2-">NoiseGenerator</a></code></span></div>
<div class="block">Get the noise value for the given position. The returned value may
 change on every future call for the same position.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../com/sk89q/worldedit/math/noise/NoiseGenerator.html#noise-com.sk89q.worldedit.math.Vector2-">noise</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../com/sk89q/worldedit/math/noise/NoiseGenerator.html" title="interface in com.sk89q.worldedit.math.noise">NoiseGenerator</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>position</code> - the position</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a noise value between 0 (inclusive) and 1 (inclusive)</dd>
</dl>
</li>
</ul>
<a name="noise-com.sk89q.worldedit.math.Vector3-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>noise</h4>
<pre>public&nbsp;float&nbsp;noise(<a href="../../../../../com/sk89q/worldedit/math/Vector3.html" title="class in com.sk89q.worldedit.math">Vector3</a>&nbsp;position)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../com/sk89q/worldedit/math/noise/NoiseGenerator.html#noise-com.sk89q.worldedit.math.Vector3-">NoiseGenerator</a></code></span></div>
<div class="block">Get the noise value for the given position. The returned value may
 change on every future call for the same position.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../com/sk89q/worldedit/math/noise/NoiseGenerator.html#noise-com.sk89q.worldedit.math.Vector3-">noise</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../com/sk89q/worldedit/math/noise/NoiseGenerator.html" title="interface in com.sk89q.worldedit.math.noise">NoiseGenerator</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>position</code> - the position</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a noise value between 0 (inclusive) and 1 (inclusive)</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/sk89q/worldedit/math/noise/RidgedMultiFractalNoise.html" title="class in com.sk89q.worldedit.math.noise"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/sk89q/worldedit/math/noise/VoronoiNoise.html" target="_top">Frames</a></li>
<li><a href="VoronoiNoise.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
